WordPress.org

Make WordPress Core

Changeset 48821


Ignore:
Timestamp:
08/18/2020 08:38:21 PM (4 months ago)
Author:
SergeyBiryukov
Message:

Plugins: Avoid a PHP notice if the update-supported key in plugin data is not set.

Props sanzeeb3.
Merges [48820] to the 5.5 branch.
Fixes #51052.

Location:
branches/5.5
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/5.5

  • branches/5.5/src/wp-admin/includes/class-wp-plugins-list-table.php

    r48756 r48821  
    10951095                    if ( isset( $plugin_data['auto-update-forced'] ) ) {
    10961096                        if ( $plugin_data['auto-update-forced'] ) {
    1097                             // Forced on
     1097                            // Forced on.
    10981098                            $text = __( 'Auto-updates enabled' );
    10991099                        } else {
     
    11021102                        $action     = 'unavailable';
    11031103                        $time_class = ' hidden';
    1104                     } elseif ( ! $plugin_data['update-supported'] ) {
     1104                    } elseif ( empty( $plugin_data['update-supported'] ) ) {
    11051105                        $text       = '';
    11061106                        $action     = 'unavailable';
Note: See TracChangeset for help on using the changeset viewer.